# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Check that we can meet upstream's version requirements for File::Spec and Cwd
%global old_modules %(perl -MCwd -MFile::Spec -e 'print ((($Cwd::VERSION < 3.29) || ($File::Spec::VERSION < 3.29)) ? 1 : 0);' 2>/dev/null || echo 0)

# We need Test::More ≥ 0.96 if we want to run the release tests
%if %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.96) ? 0 : 1);' 2>/dev/null || echo 0)
%global release_tests RELEASE_TESTING=1
%endif

Name:		perl-File-Remove
Version:	1.57
Release:	5.%{__distinit}%{__distvers}
Summary:	Convenience module for removing files and directories
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/File-Remove/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/File-Remove-%{version}.tar.gz
Patch0:		File-Remove-1.57-modvers-old.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Glob)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(blib)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::More)
# Author Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Release Tests
BuildRequires:	perl(Test::CPAN::Changes)
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Kwalitee::Extra)
BuildRequires:	perl(Test::TrailingSpace)
%endif
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Convenience module for removing files and directories.

%prep
%setup -q -n File-Remove-%{version}

# Don't really need such recent versions of Cwd and File::Spec
%if %{old_modules}
%patch0
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test AUTHOR_TESTING=1 %{?release_tests}

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Remove.3*

%changelog
* Wed Jan 11 2017 Paul Howarth <paul@city-fan.org> - 1.57-5
- Don't BR: perl(Test::TrailingSpace) when bootstrapping

* Tue Jan 10 2017 Paul Howarth <paul@city-fan.org> - 1.57-4
- Test::Kwalitee::Extra now available universally

* Wed Oct 26 2016 Paul Howarth <paul@city-fan.org> - 1.57-3
- Don't BR: perl(Test::Kwalitee::Extra) when bootstrapping

* Wed Aug 24 2016 Paul Howarth <paul@city-fan.org> - 1.57-2
- BR: perl-generators where available

* Mon Apr 25 2016 Paul Howarth <paul@city-fan.org> - 1.57-1
- Update to 1.57
  - Correct the copyright holder and year
  - Add a test for Kwalitee and 'use warnings'
- Update patch for building with old Cwd/File::Spec versions

* Wed Mar 23 2016 Paul Howarth <paul@city-fan.org> - 1.56-1
- Update to 1.56
  - Remove the Build.PL so there won't be two build files
    (https://github.com/shlomif/File-Remove/pull/1)

* Mon Jan 11 2016 Paul Howarth <paul@city-fan.org> - 1.55-1
- Update to 1.55
  - Add the "{ glob => 0 }" option to remove() (CPAN RT#78405)

* Mon Jan 11 2016 Paul Howarth <paul@city-fan.org> - 1.54-1
- Update to 1.54
  - Convert the distribution from Module-Install to Dist-Zilla
  - Fix a problem running the tests in parallel (CPAN RT#71779, CPAN RT#90183)
  - Removed trailing whitespace and carriage returns
  - Fix a typo in the documentation (CPAN RT#72010)
  - Hopefully fix the GitHub remote to make it more MetaCPAN-friendly
- This release by SHLOMIF → update source URL
- Classify buildreqs by usage

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 1.52-9
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.52-3
- Perl 5.16 post-bootstrap rebuild

* Sun Jul  1 2012 Paul Howarth <paul@city-fan.org> - 1.52-2
- BR: perl(File::Spec::Functions)

* Mon Mar 19 2012 Paul Howarth <paul@city-fan.org> - 1.52-1
- Update to 1.52
  - No functional changes
  - Updated Module::Install to 1.06
  - Moved File::Spec dependency to 3.29 to fix problems with four-digit
    decimal dependencies in some downstream packaging systems
- BR: perl(constant) and perl(Cwd)
- Update patch for building with old Cwd/File::Spec versions
- Drop patch for resolving versioning differences, no longer needed
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Don't need to define %%{perl_vendorlib}

* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> - 1.51-2
- Don't BR: perl(Test::MinimumVersion) when bootstrapping

* Thu Oct 27 2011 Paul Howarth <paul@city-fan.org> - 1.51-1
- Update to 1.51
  - END-time deletion by clear() is now fork-safe; it will only remove paths
    created in the same process

* Mon Jul 11 2011 Paul Howarth <paul@city-fan.org> - 1.50-2
- Rebuild for perl 5.14.1 in Rawhide

* Mon Jul 11 2011 Paul Howarth <paul@city-fan.org> - 1.50-1
- Update to 1.50
  - Adding a second skip for the known-bad cygwin file permissions problem
- Fix dist tag for CentOS 6 and Scientific Linux
- Update module versions patches
- Nobody else likes macros for commands

* Mon Mar 14 2011 Paul Howarth <paul@city-fan.org> - 1.49-1
- Update to 1.49
  - Restored 02_directories to no_plan as it runs different test counts on
    different systems

* Fri Mar 11 2011 Paul Howarth <paul@city-fan.org> - 1.48-1
- Update to 1.48
  - Fixed a major bug in the 1.46 logic that works out what to change the cwd
    to when deleting while inside a directory
  - Add test counts to all test scripts
  - Add a test for space-safe globs
- Re-diff patches to apply cleanly

* Fri Feb 18 2011 Paul Howarth <paul@city-fan.org> - 1.46-1
- Update to 1.46
  - Updated to Module::Install::DSL 1.00
  - Added a test to delete directories when the current working directory is
    inside the location to delete
  - Fixes for trash() with callbacks and on Mac
- Drop patch for CPAN RT#52698 - no longer needed
- Add patch to drop unnecessarily recent version requirements for Cwd and
  File::Spec if we have older versions
- Add patch to fix version requirement inconsistency between rpm and perl

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.42-5
- Rebuild for perl 5.12.1 in Rawhide

* Sun Jun  6 2010 Paul Howarth <paul@city-fan.org> - 1.42-4
- Fix dist tag for RHEL-6 Beta

* Sun Feb 21 2010 Paul Howarth <paul@city-fan.org> - 1.42-3
- Patch minimum required perl version to 5.006 (CPAN RT#52698)
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Wed May 13 2009 Paul Howarth <paul@city-fan.org> - 1.42-2
- Re-add buildreq perl(Test::CPAN::Meta)
- Update to SLES-compatible dist tag macros

* Wed Sep  3 2008 Paul Howarth <paul@city-fan.org> - 1.42-1
- Update to 1.42
- Re-add buildreq perl(Test::MinimumVersion)

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 1.41-2
- Import from Fedora
- Drop some test requirements for the time being
- Drop version requirement on perl(File::Spec) for building on older
  distributions

* Tue Jun 10 2008 Ralf Corsepius <rc040203@freenet.de> - 1.41-1
- Upstream update

* Thu Mar 13 2008 Ralf Corsepius <rc040203@freenet.de> - 1.40-1
- Upstream update

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-7
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-6
- Rebuild for perl 5.10 (again), first pass

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-5
- Rebuild normally, second pass

* Sun Jan 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-4.1
- Rebuild, first pass, without TMV, tests

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-4
- Rebuild for new perl

* Sun Nov 25 2007 Ralf Corsépius <rc040203@freenet.de> - 0.39-3
- Really BR: perl(Test::MinimumVersion)

* Sun Nov 25 2007 Ralf Corsépius <rc040203@freenet.de> - 0.39-2
- Add BR: perl(Test::MinimumVersion)

* Tue Nov 20 2007 Ralf Corsépius <rc040203@freenet.de> - 0.39-1
- Upstream update

* Wed Oct 17 2007 Ralf Corsépius <rc040203@freenet.de> - 0.38-1
- Upstream update

* Fri Aug 17 2007 Ralf Corsépius <rc040203@freenet.de> - 0.37-2
- Update license tag

* Tue Jul 10 2007 Ralf Corsépius <rc040203@freenet.de> - 0.37-1
- Upstream update

* Mon Jul 02 2007 Ralf Corsépius <rc040203@freenet.de> - 0.36-2
- Increment release due to koji suckage

* Mon Jul 02 2007 Ralf Corsépius <rc040203@freenet.de> - 0.36-1
- Upstream update
- BR: perl(ExtUtils::MakeMaker)
- BR: perl(Test::More)

* Mon Nov 27 2006 Ralf Corsépius <rc040203@freenet.de> - 0.34-1
- Upstream update
- Fix URL in Source0

* Fri Nov 03 2006 Ralf Corsépius <rc040203@freenet.de> - 0.33-1
- Upstream update

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.31-3
- Mass rebuild

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.31-2
- Rebuild for perl-5.8.8

* Wed Jan 11 2006 Ralf Corsepius <rc040203@freenet.de> - 0.31-1
- Upstream update

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 0.30-2
- Change %%summary according to Ville's preference

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 0.30-1
- FE submission
